import { ComponentMeta } from '@storybook/react';
import { ComponentProps } from 'react';
import { StoryArgType } from './storybookArgTypes';
export interface StoryMeta<T extends React.ElementType> extends Omit<ComponentMeta<T>, 'component'> {
    parameters: ComponentMeta<T>['parameters'] & {
        /**
         * The default story to be displayed on `mongodb.design`
         */
        default: string;
    };
    argTypes?: Partial<{
        [name in keyof ComponentProps<T>]: StoryArgType;
    }>;
    component?: T;
}
export declare const StoryMeta: <T extends import("react").ElementType<any>>(meta?: StoryMeta<T>) => StoryMeta<T>;
//# sourceMappingURL=StoryMeta.d.ts.map